- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Properties | Friends

# QWidget Class Reference

Search for all occurrences

## Detailed Description

Examples:

  MeshDisplace/displacer.cpp, MeshDisplace/displacer.h, PtexExtractor/PtexLayout.cpp, PtexExtractor/PtexLayout.h, PtexExtractor/PtexUtilizer.cpp, and PtexExtractor/PtexUtilizer.h.

Definition at line 140 of file qwidget.h.

`#include <qwidget.h>`

Inheritance diagram for QWidget:
[legend]

List of all members.

## Public Types
enum | RenderFlag { DrawWindowBackground = 0x1, DrawChildren = 0x2, IgnoreMask = 0x4 }
## Public Slots
void | setEnabled (bool)
void | setDisabled (bool)
void | setWindowModified (bool)
void | setWindowTitle (const QString &)
void | setStyleSheet (const QString &styleSheet)
void | setFocus ()
void | update ()
void | repaint ()
virtual void | setVisible (bool visible)
void | setHidden (bool hidden)
void | show ()
void | hide ()
QT_MOC_COMPAT void | setShown (bool shown)
void | showMinimized ()
void | showMaximized ()
void | showFullScreen ()
void | showNormal ()
bool | close ()
void | raise ()
void | lower ()
## Signals
void | customContextMenuRequested (const QPoint &pos)
## Public Member Functions
| QWidget (QWidget *parent=0, Qt::WindowFlags f=0)
| ~QWidget ()
int | devType () const
WId | winId () const
void | createWinId ()
WId | internalWinId () const
WId | effectiveWinId () const
QStyle * | style () const
void | setStyle (QStyle *)
bool | isTopLevel () const
bool | isWindow () const
bool | isModal () const
Qt::WindowModality | windowModality () const
void | setWindowModality (Qt::WindowModality windowModality)
bool | isEnabled () const
bool | isEnabledTo (QWidget *) const
bool | isEnabledToTLW () const
QRect | frameGeometry () const
const QRect & | geometry () const
QRect | normalGeometry () const
int | x () const
int | y () const
QPoint | pos () const
QSize | frameSize () const
QSize | size () const
int | width () const
int | height () const
QRect | rect () const
QRect | childrenRect () const
QRegion | childrenRegion () const
QSize | minimumSize () const
QSize | maximumSize () const
int | minimumWidth () const
int | minimumHeight () const
int | maximumWidth () const
int | maximumHeight () const
void | setMinimumSize (const QSize &)
void | setMinimumSize (int minw, int minh)
void | setMaximumSize (const QSize &)
void | setMaximumSize (int maxw, int maxh)
void | setMinimumWidth (int minw)
void | setMinimumHeight (int minh)
void | setMaximumWidth (int maxw)
void | setMaximumHeight (int maxh)
QSize | sizeIncrement () const
void | setSizeIncrement (const QSize &)
void | setSizeIncrement (int w, int h)
QSize | baseSize () const
void | setBaseSize (const QSize &)
void | setBaseSize (int basew, int baseh)
void | setFixedSize (const QSize &)
void | setFixedSize (int w, int h)
void | setFixedWidth (int w)
void | setFixedHeight (int h)
QPoint | mapToGlobal (const QPoint &) const
QPoint | mapFromGlobal (const QPoint &) const
QPoint | mapToParent (const QPoint &) const
QPoint | mapFromParent (const QPoint &) const
QPoint | mapTo (QWidget *, const QPoint &) const
QPoint | mapFrom (QWidget *, const QPoint &) const
QWidget * | window () const
QWidget * | nativeParentWidget () const
QWidget * | topLevelWidget () const
const QPalette & | palette () const
void | setPalette (const QPalette &)
void | setBackgroundRole (QPalette::ColorRole)
QPalette::ColorRole | backgroundRole () const
void | setForegroundRole (QPalette::ColorRole)
QPalette::ColorRole | foregroundRole () const
const QFont & | font () const
void | setFont (const QFont &)
QFontMetrics | fontMetrics () const
QFontInfo | fontInfo () const
QCursor | cursor () const
void | setCursor (const QCursor &)
void | unsetCursor ()
void | setMouseTracking (bool enable)
bool | hasMouseTracking () const
bool | underMouse () const
void | setMask (const QBitmap &)
void | setMask (const QRegion &)
QRegion | mask () const
void | clearMask ()
void | render (QPaintDevice *target, const QPoint &targetOffset=QPoint(), const QRegion &sourceRegion=QRegion(), RenderFlags renderFlags=RenderFlags(DrawWindowBackground|DrawChildren))
void | render (QPainter *painter, const QPoint &targetOffset=QPoint(), const QRegion &sourceRegion=QRegion(), RenderFlags renderFlags=RenderFlags(DrawWindowBackground|DrawChildren))
QGraphicsEffect * | graphicsEffect () const
void | setGraphicsEffect (QGraphicsEffect *effect)
void | grabGesture (Qt::GestureType type, Qt::GestureFlags flags=Qt::GestureFlags())
void | ungrabGesture (Qt::GestureType type)
QString | styleSheet () const
QString | windowTitle () const
void | setWindowIcon (const QIcon &icon)
QIcon | windowIcon () const
void | setWindowIconText (const QString &)
QString | windowIconText () const
void | setWindowRole (const QString &)
QString | windowRole () const
void | setWindowFilePath (const QString &filePath)
QString | windowFilePath () const
void | setWindowOpacity (qreal level)
qreal | windowOpacity () const
bool | isWindowModified () const
void | setToolTip (const QString &)
QString | toolTip () const
void | setStatusTip (const QString &)
QString | statusTip () const
void | setWhatsThis (const QString &)
QString | whatsThis () const
QString | accessibleName () const
void | setAccessibleName (const QString &name)
QString | accessibleDescription () const
void | setAccessibleDescription (const QString &description)
void | setLayoutDirection (Qt::LayoutDirection direction)
Qt::LayoutDirection | layoutDirection () const
void | unsetLayoutDirection ()
void | setLocale (const QLocale &locale)
QLocale | locale () const
void | unsetLocale ()
bool | isRightToLeft () const
bool | isLeftToRight () const
bool | isActiveWindow () const
void | activateWindow ()
void | clearFocus ()
void | setFocus (Qt::FocusReason reason)
Qt::FocusPolicy | focusPolicy () const
void | setFocusPolicy (Qt::FocusPolicy policy)
bool | hasFocus () const
void | setFocusProxy (QWidget *)
QWidget * | focusProxy () const
Qt::ContextMenuPolicy | contextMenuPolicy () const
void | setContextMenuPolicy (Qt::ContextMenuPolicy policy)
void | grabMouse ()
void | grabMouse (const QCursor &)
void | releaseMouse ()
void | grabKeyboard ()
void | releaseKeyboard ()
int | grabShortcut (const QKeySequence &key, Qt::ShortcutContext context=Qt::WindowShortcut)
void | releaseShortcut (int id)
void | setShortcutEnabled (int id, bool enable=true)
void | setShortcutAutoRepeat (int id, bool enable=true)
bool | updatesEnabled () const
void | setUpdatesEnabled (bool enable)
QGraphicsProxyWidget * | graphicsProxyWidget () const
void | update (int x, int y, int w, int h)
void | update (const QRect &)
void | update (const QRegion &)
void | repaint (int x, int y, int w, int h)
void | repaint (const QRect &)
void | repaint (const QRegion &)
void | stackUnder (QWidget *)
void | move (int x, int y)
void | move (const QPoint &)
void | resize (int w, int h)
void | resize (const QSize &)
void | setGeometry (int x, int y, int w, int h)
void | setGeometry (const QRect &)
QByteArray | saveGeometry () const
bool | restoreGeometry (const QByteArray &geometry)
void | adjustSize ()
bool | isVisible () const
bool | isVisibleTo (QWidget *) const
bool | isHidden () const
bool | isMinimized () const
bool | isMaximized () const
bool | isFullScreen () const
Qt::WindowStates | windowState () const
void | setWindowState (Qt::WindowStates state)
void | overrideWindowState (Qt::WindowStates state)
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QSizePolicy | sizePolicy () const
void | setSizePolicy (QSizePolicy)
void | setSizePolicy (QSizePolicy::Policy horizontal, QSizePolicy::Policy vertical)
virtual int | heightForWidth (int) const
QRegion | visibleRegion () const
void | setContentsMargins (int left, int top, int right, int bottom)
void | setContentsMargins (const QMargins &margins)
void | getContentsMargins (int *left, int *top, int *right, int *bottom) const
QMargins | contentsMargins () const
QRect | contentsRect () const
QLayout * | layout () const
void | setLayout (QLayout *)
void | updateGeometry ()
void | setParent (QWidget *parent)
void | setParent (QWidget *parent, Qt::WindowFlags f)
void | scroll (int dx, int dy)
void | scroll (int dx, int dy, const QRect &)
QWidget * | focusWidget () const
QWidget * | nextInFocusChain () const
QWidget * | previousInFocusChain () const
bool | acceptDrops () const
void | setAcceptDrops (bool on)
void | addAction (QAction *action)
void | addActions (QList< QAction * > actions)
void | insertAction (QAction *before, QAction *action)
void | insertActions (QAction *before, QList< QAction * > actions)
void | removeAction (QAction *action)
QList< QAction * > | actions () const
QWidget * | parentWidget () const
void | setWindowFlags (Qt::WindowFlags type)
Qt::WindowFlags | windowFlags () const
void | overrideWindowFlags (Qt::WindowFlags type)
Qt::WindowType | windowType () const
QWidget * | childAt (int x, int y) const
QWidget * | childAt (const QPoint &p) const
Qt::HANDLE | handle () const
void | setAttribute (Qt::WidgetAttribute, bool on=true)
bool | testAttribute (Qt::WidgetAttribute) const
QPaintEngine * | paintEngine () const
void | ensurePolished () const
QInputContext * | inputContext ()
void | setInputContext (QInputContext *)
bool | isAncestorOf (const QWidget *child) const
bool | autoFillBackground () const
void | setAutoFillBackground (bool enabled)
void | setWindowSurface (QWindowSurface *surface)
QWindowSurface * | windowSurface () const
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery) const
Qt::InputMethodHints | inputMethodHints () const
void | setInputMethodHints (Qt::InputMethodHints hints)
## Static Public Member Functions
static void | setTabOrder (QWidget *, QWidget *)
static QWidget * | mouseGrabber ()
static QWidget * | keyboardGrabber ()
static QWidget * | find (WId)
## Protected Slots
void | updateMicroFocus ()
## Protected Member Functions
bool | event (QEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | keyReleaseEvent (QKeyEvent *)
virtual void | focusInEvent (QFocusEvent *)
virtual void | focusOutEvent (QFocusEvent *)
virtual void | enterEvent (QEvent *)
virtual void | leaveEvent (QEvent *)
virtual void | paintEvent (QPaintEvent *)
virtual void | moveEvent (QMoveEvent *)
virtual void | resizeEvent (QResizeEvent *)
virtual void | closeEvent (QCloseEvent *)
virtual void | contextMenuEvent (QContextMenuEvent *)
virtual void | tabletEvent (QTabletEvent *)
virtual void | actionEvent (QActionEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dragMoveEvent (QDragMoveEvent *)
virtual void | dragLeaveEvent (QDragLeaveEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | showEvent (QShowEvent *)
virtual void | hideEvent (QHideEvent *)
virtual void | changeEvent (QEvent *)
int | metric (PaintDeviceMetric) const
virtual void | inputMethodEvent (QInputMethodEvent *)
void | resetInputContext ()
void | create (WId=0, bool initializeWindow=true, bool destroyOldWindow=true)
void | destroy (bool destroyWindow=true, bool destroySubWindows=true)
virtual bool | focusNextPrevChild (bool next)
bool | focusNextChild ()
bool | focusPreviousChild ()
| QWidget (QWidgetPrivate &d, QWidget *parent, Qt::WindowFlags f)
virtual void | styleChange (QStyle &)
virtual void | enabledChange (bool)
virtual void | paletteChange (const QPalette &)
virtual void | fontChange (const QFont &)
virtual void | windowActivationChange (bool)
virtual void | languageChange ()
## Properties
bool | modal
Qt::WindowModality | windowModality
bool | enabled
QRect | geometry
QRect | frameGeometry
QRect | normalGeometry
int | x
int | y
QPoint | pos
QSize | frameSize
QSize | size
int | width
int | height
QRect | rect
QRect | childrenRect
QRegion | childrenRegion
QSizePolicy | sizePolicy
QSize | minimumSize
QSize | maximumSize
int | minimumWidth
int | minimumHeight
int | maximumWidth
int | maximumHeight
QSize | sizeIncrement
QSize | baseSize
QPalette | palette
QFont | font
QCursor | cursor
bool | mouseTracking
bool | isActiveWindow
Qt::FocusPolicy | focusPolicy
bool | focus
Qt::ContextMenuPolicy | contextMenuPolicy
bool | updatesEnabled
bool | visible
bool | minimized
bool | maximized
bool | fullScreen
QSize | sizeHint
QSize | minimumSizeHint
bool | acceptDrops
QString | windowTitle
QIcon | windowIcon
QString | windowIconText
double | windowOpacity
bool | windowModified
QString | toolTip
QString | statusTip
QString | whatsThis
QString | accessibleName
QString | accessibleDescription
Qt::LayoutDirection | layoutDirection
bool | autoFillBackground
QString | styleSheet
QLocale | locale
QString | windowFilePath
Qt::InputMethodHints | inputMethodHints
## Friends
class | QBackingStoreDevice
class | QWidgetBackingStore
class | QApplication
class | QApplicationPrivate
class | QBaseApplication
class | QPainter
class | QPainterPrivate
class | QPixmap
class | QFontMetrics
class | QFontInfo
class | QETWidget
class | QLayout
class | QWidgetItem
class | QWidgetItemV2
class | QGLContext
class | QGLWidget
class | QGLWindowSurface
class | QX11PaintEngine
class | QWin32PaintEngine
class | QShortcutPrivate
class | QShortcutMap
class | QWindowSurface
class | QGraphicsProxyWidget
class | QGraphicsProxyWidgetPrivate
class | QStyleSheetStyle
struct | QWidgetExceptionCleaner
class | QGestureManager
class | QWinNativePanGestureRecognizer
class | QWidgetEffectSourcePrivate
Q_GUI_EXPORT QWidgetData * | qt_qwidget_data (QWidget *widget)
Q_GUI_EXPORT QWidgetPrivate * | qt_widget_private (QWidget *widget)

## Member Enumeration Documentation

enum RenderFlag

Search for all occurrences

Enumerator:

  DrawWindowBackground | Search for all occurrences
  DrawChildren | Search for all occurrences
  IgnoreMask | Search for all occurrences

Definition at line 217 of file qwidget.h.

                        {
            DrawWindowBackground = 0x1,
            DrawChildren = 0x2,
            IgnoreMask = 0x4
        };

## Constructor & Destructor Documentation

QWidget | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[explicit]`

~QWidget | ( |  | ) |

QWidget | ( | QWidgetPrivate & | d,
|  | QWidget * | parent,
|  | Qt::WindowFlags | f
| ) |  | `[protected]`

## Member Function Documentation

int devType | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

WId winId | ( |  | ) | const

Search for all occurrences

void createWinId | ( |  | ) |

Search for all occurrences

WId internalWinId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 234 of file qwidget.h.

    { return data->winid; }

WId effectiveWinId | ( |  | ) | const

Search for all occurrences

QStyle* style | ( |  | ) | const

Search for all occurrences

void setStyle | ( | QStyle * |  | ) |

Search for all occurrences

bool isTopLevel | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 928 of file qwidget.h.

    { return (windowType() & Qt::Window); }

bool isWindow | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 931 of file qwidget.h.

    { return (windowType() & Qt::Window); }

bool isModal | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 937 of file qwidget.h.

    { return data->window_modality != Qt::NonModal; }

Qt::WindowModality windowModality | ( |  | ) | const

Search for all occurrences

void setWindowModality | ( | Qt::WindowModality | windowModality | ) |

Search for all occurrences

Reimplemented in QMessageBox.

bool isEnabled | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 934 of file qwidget.h.

    { return !testAttribute(Qt::WA_Disabled); }

bool isEnabledTo | ( | QWidget * |  | ) | const

Search for all occurrences

bool isEnabledToTLW | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 940 of file qwidget.h.

    { return isEnabled(); }

void setEnabled | ( | bool |  | ) | `[slot]`

Search for all occurrences

void setDisabled | ( | bool |  | ) | `[slot]`

Search for all occurrences

void setWindowModified | ( | bool |  | ) | `[slot]`

Search for all occurrences

QRect frameGeometry | ( |  | ) | const

Search for all occurrences

const QRect& geometry | ( |  | ) | const

Search for all occurrences

QRect normalGeometry | ( |  | ) | const

Search for all occurrences

int x | ( |  | ) | const

Search for all occurrences

int y | ( |  | ) | const

Search for all occurrences

QPoint pos | ( |  | ) | const

Search for all occurrences

QSize frameSize | ( |  | ) | const

Search for all occurrences

QSize size | ( |  | ) | const

Search for all occurrences

int width | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QPaintDevice.

int height | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QPaintDevice.

QRect rect | ( |  | ) | const `[inline]`

Search for all occurrences

QRect childrenRect | ( |  | ) | const

Search for all occurrences

QRegion childrenRegion | ( |  | ) | const

Search for all occurrences

QSize minimumSize | ( |  | ) | const

Search for all occurrences

QSize maximumSize | ( |  | ) | const

Search for all occurrences

int minimumWidth | ( |  | ) | const

Search for all occurrences

int minimumHeight | ( |  | ) | const

Search for all occurrences

int maximumWidth | ( |  | ) | const

Search for all occurrences

int maximumHeight | ( |  | ) | const

Search for all occurrences

void setMinimumSize | ( | const QSize & | s | ) | `[inline]`

Search for all occurrences

Definition at line 955 of file qwidget.h.

    { setMinimumSize(s.width(),s.height()); }

void setMinimumSize | ( | int | minw,
|  | int | minh
| ) |  |

Search for all occurrences

void setMaximumSize | ( | const QSize & | s | ) | `[inline]`

Search for all occurrences

Definition at line 958 of file qwidget.h.

    { setMaximumSize(s.width(),s.height()); }

void setMaximumSize | ( | int | maxw,
|  | int | maxh
| ) |  |

Search for all occurrences

void setMinimumWidth | ( | int | minw | ) |

Search for all occurrences

void setMinimumHeight | ( | int | minh | ) |

Search for all occurrences

void setMaximumWidth | ( | int | maxw | ) |

Search for all occurrences

void setMaximumHeight | ( | int | maxh | ) |

Search for all occurrences

QSize sizeIncrement | ( |  | ) | const

Search for all occurrences

void setSizeIncrement | ( | const QSize & | s | ) | `[inline]`

Search for all occurrences

Definition at line 961 of file qwidget.h.

    { setSizeIncrement(s.width(),s.height()); }

void setSizeIncrement | ( | int | w,
|  | int | h
| ) |  |

Search for all occurrences

QSize baseSize | ( |  | ) | const

Search for all occurrences

void setBaseSize | ( | const QSize & | s | ) | `[inline]`

Search for all occurrences

Definition at line 964 of file qwidget.h.

    { setBaseSize(s.width(),s.height()); }

void setBaseSize | ( | int | basew,
|  | int | baseh
| ) |  |

Search for all occurrences

void setFixedSize | ( | const QSize & |  | ) |

Search for all occurrences

void setFixedSize | ( | int | w,
|  | int | h
| ) |  |

Search for all occurrences

void setFixedWidth | ( | int | w | ) |

Search for all occurrences

void setFixedHeight | ( | int | h | ) |

Search for all occurrences

QPoint mapToGlobal | ( | const QPoint & |  | ) | const

Search for all occurrences

QPoint mapFromGlobal | ( | const QPoint & |  | ) | const

Search for all occurrences

QPoint mapToParent | ( | const QPoint & |  | ) | const

Search for all occurrences

QPoint mapFromParent | ( | const QPoint & |  | ) | const

Search for all occurrences

QPoint mapTo | ( | QWidget * | ,
|  | const QPoint & |
| ) |  | const

Search for all occurrences

QPoint mapFrom | ( | QWidget * | ,
|  | const QPoint & |
| ) |  | const

Search for all occurrences

QWidget* window | ( |  | ) | const

Search for all occurrences

QWidget* nativeParentWidget | ( |  | ) | const

Search for all occurrences

QWidget* topLevelWidget | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 318 of file qwidget.h.

    { return window(); }

const QPalette& palette | ( |  | ) | const

Search for all occurrences

void setPalette | ( | const QPalette & |  | ) |

Search for all occurrences

void setBackgroundRole | ( | QPalette::ColorRole |  | ) |

Search for all occurrences

QPalette::ColorRole backgroundRole | ( |  | ) | const

Search for all occurrences

void setForegroundRole | ( | QPalette::ColorRole |  | ) |

Search for all occurrences

QPalette::ColorRole foregroundRole | ( |  | ) | const

Search for all occurrences

const QFont& font | ( |  | ) | const

Search for all occurrences

void setFont | ( | const QFont & |  | ) |

Search for all occurrences

QFontMetrics fontMetrics | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 970 of file qwidget.h.

    { return QFontMetrics(data->fnt); }

QFontInfo fontInfo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 973 of file qwidget.h.

    { return QFontInfo(data->fnt); }

QCursor cursor | ( |  | ) | const

Search for all occurrences

void setCursor | ( | const QCursor & |  | ) |

Search for all occurrences

void unsetCursor | ( |  | ) |

Search for all occurrences

void setMouseTracking | ( | bool | enable | ) | `[inline]`

Search for all occurrences

Reimplemented in QGLWidget.

Definition at line 976 of file qwidget.h.

    { setAttribute(Qt::WA_MouseTracking, enable); }

bool hasMouseTracking | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 979 of file qwidget.h.

    { return testAttribute(Qt::WA_MouseTracking); }

bool underMouse | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 982 of file qwidget.h.

    { return testAttribute(Qt::WA_UnderMouse); }

void setMask | ( | const QBitmap & |  | ) |

Search for all occurrences

void setMask | ( | const QRegion & |  | ) |

Search for all occurrences

QRegion mask | ( |  | ) | const

Search for all occurrences

void clearMask | ( |  | ) |

Search for all occurrences

void render | ( | QPaintDevice * | target,
|  | const QPoint & | targetOffset = `QPoint()`,
|  | const QRegion & | sourceRegion = `QRegion()`,
|  | RenderFlags | renderFlags = `RenderFlags(DrawWindowBackground|DrawChildren)`
| ) |  |

Search for all occurrences

void render | ( | QPainter * | painter,
|  | const QPoint & | targetOffset = `QPoint()`,
|  | const QRegion & | sourceRegion = `QRegion()`,
|  | RenderFlags | renderFlags = `RenderFlags(DrawWindowBackground|DrawChildren)`
| ) |  |

Search for all occurrences

QGraphicsEffect* graphicsEffect | ( |  | ) | const

Search for all occurrences

void setGraphicsEffect | ( | QGraphicsEffect * | effect | ) |

Search for all occurrences

void grabGesture | ( | Qt::GestureType | type,
|  | Qt::GestureFlags | flags = `Qt::GestureFlags()`
| ) |  |

Search for all occurrences

void ungrabGesture | ( | Qt::GestureType | type | ) |

Search for all occurrences

void setWindowTitle | ( | const QString & |  | ) | `[slot]`

Search for all occurrences

Reimplemented in QMessageBox.

Examples:
  MeshDisplace/displacer.cpp.

void setStyleSheet | ( | const QString & | styleSheet | ) | `[slot]`

Search for all occurrences

QString styleSheet | ( |  | ) | const

Search for all occurrences

QString windowTitle | ( |  | ) | const

Search for all occurrences

void setWindowIcon | ( | const QIcon & | icon | ) |

Search for all occurrences

QIcon windowIcon | ( |  | ) | const

Search for all occurrences

void setWindowIconText | ( | const QString & |  | ) |

Search for all occurrences

QString windowIconText | ( |  | ) | const

Search for all occurrences

void setWindowRole | ( | const QString & |  | ) |

Search for all occurrences

QString windowRole | ( |  | ) | const

Search for all occurrences

void setWindowFilePath | ( | const QString & | filePath | ) |

Search for all occurrences

QString windowFilePath | ( |  | ) | const

Search for all occurrences

void setWindowOpacity | ( | qreal | level | ) |

Search for all occurrences

qreal windowOpacity | ( |  | ) | const

Search for all occurrences

bool isWindowModified | ( |  | ) | const

Search for all occurrences

void setToolTip | ( | const QString & |  | ) |

Search for all occurrences

QString toolTip | ( |  | ) | const

Search for all occurrences

void setStatusTip | ( | const QString & |  | ) |

Search for all occurrences

QString statusTip | ( |  | ) | const

Search for all occurrences

void setWhatsThis | ( | const QString & |  | ) |

Search for all occurrences

QString whatsThis | ( |  | ) | const

Search for all occurrences

QString accessibleName | ( |  | ) | const

Search for all occurrences

void setAccessibleName | ( | const QString & | name | ) |

Search for all occurrences

QString accessibleDescription | ( |  | ) | const

Search for all occurrences

void setAccessibleDescription | ( | const QString & | description | ) |

Search for all occurrences

void setLayoutDirection | ( | Qt::LayoutDirection | direction | ) |

Search for all occurrences

Qt::LayoutDirection layoutDirection | ( |  | ) | const

Search for all occurrences

void unsetLayoutDirection | ( |  | ) |

Search for all occurrences

void setLocale | ( | const QLocale & | locale | ) |

Search for all occurrences

QLocale locale | ( |  | ) | const

Search for all occurrences

void unsetLocale | ( |  | ) |

Search for all occurrences

bool isRightToLeft | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 418 of file qwidget.h.

    { return layoutDirection() == Qt::RightToLeft; }

bool isLeftToRight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 419 of file qwidget.h.

    { return layoutDirection() == Qt::LeftToRight; }

void setFocus | ( |  | ) | `[inline, slot]`

Search for all occurrences

Definition at line 422 of file qwidget.h.

    { setFocus(Qt::OtherFocusReason); }

bool isActiveWindow | ( |  | ) | const

Search for all occurrences

void activateWindow | ( |  | ) |

Search for all occurrences

void clearFocus | ( |  | ) |

Search for all occurrences

void setFocus | ( | Qt::FocusReason | reason | ) |

Search for all occurrences

Qt::FocusPolicy focusPolicy | ( |  | ) | const

Search for all occurrences

void setFocusPolicy | ( | Qt::FocusPolicy | policy | ) |

Search for all occurrences

bool hasFocus | ( |  | ) | const

Search for all occurrences

static void setTabOrder | ( | QWidget * | ,
|  | QWidget * |
| ) |  | `[static]`

Search for all occurrences

void setFocusProxy | ( | QWidget * |  | ) |

Search for all occurrences

QWidget* focusProxy | ( |  | ) | const

Search for all occurrences

Qt::ContextMenuPolicy contextMenuPolicy | ( |  | ) | const

Search for all occurrences

void setContextMenuPolicy | ( | Qt::ContextMenuPolicy | policy | ) |

Search for all occurrences

void grabMouse | ( |  | ) |

Search for all occurrences

void grabMouse | ( | const QCursor & |  | ) |

Search for all occurrences

void releaseMouse | ( |  | ) |

Search for all occurrences

void grabKeyboard | ( |  | ) |

Search for all occurrences

void releaseKeyboard | ( |  | ) |

Search for all occurrences

int grabShortcut | ( | const QKeySequence & | key,
|  | Qt::ShortcutContext | context = `Qt::WindowShortcut`
| ) |  |

Search for all occurrences

void releaseShortcut | ( | int | id | ) |

Search for all occurrences

void setShortcutEnabled | ( | int | id,
|  | bool | enable = `true`
| ) |  |

Search for all occurrences

void setShortcutAutoRepeat | ( | int | id,
|  | bool | enable = `true`
| ) |  |

Search for all occurrences

static QWidget* mouseGrabber | ( |  | ) | `[static]`

Search for all occurrences

static QWidget* keyboardGrabber | ( |  | ) | `[static]`

Search for all occurrences

bool updatesEnabled | ( |  | ) | const `[inline]`

Search for all occurrences

void setUpdatesEnabled | ( | bool | enable | ) |

Search for all occurrences

QGraphicsProxyWidget* graphicsProxyWidget | ( |  | ) | const

Search for all occurrences

void update | ( |  | ) | `[slot]`

Search for all occurrences

void repaint | ( |  | ) | `[slot]`

Search for all occurrences

Reimplemented in QSplashScreen.

void update | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 988 of file qwidget.h.

    { update(QRect(ax, ay, aw, ah)); }

void update | ( | const QRect & |  | ) |

Search for all occurrences

void update | ( | const QRegion & |  | ) |

Search for all occurrences

void repaint | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Search for all occurrences

void repaint | ( | const QRect & |  | ) |

Search for all occurrences

void repaint | ( | const QRegion & |  | ) |

Search for all occurrences

virtual void setVisible | ( | bool | visible | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QColorDialog, QDialog, QFileDialog, QFontDialog, QInputDialog, QMenuBar, QPrintPreviewDialog, QPrintPreviewWidget, QSizeGrip, and QWizard.

void setHidden | ( | bool | hidden | ) | `[inline, slot]`

Search for all occurrences

Definition at line 485 of file qwidget.h.

    { setVisible(!hidden); }

void show | ( |  | ) | `[inline, slot]`

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 487 of file qwidget.h.

    { setVisible(true); }

void hide | ( |  | ) | `[inline, slot]`

Search for all occurrences

Definition at line 491 of file qwidget.h.

    { setVisible(false); }

QT_MOC_COMPAT void setShown | ( | bool | shown | ) | `[inline, slot]`

Search for all occurrences

Definition at line 492 of file qwidget.h.

    { setVisible(shown); }

void showMinimized | ( |  | ) | `[slot]`

Search for all occurrences

void showMaximized | ( |  | ) | `[slot]`

Search for all occurrences

void showFullScreen | ( |  | ) | `[slot]`

Search for all occurrences

void showNormal | ( |  | ) | `[slot]`

Search for all occurrences

bool close | ( |  | ) | `[slot]`

Search for all occurrences

void raise | ( |  | ) | `[slot]`

Search for all occurrences

void lower | ( |  | ) | `[slot]`

Search for all occurrences

void stackUnder | ( | QWidget * |  | ) |

Search for all occurrences

void move | ( | int | x,
|  | int | y
| ) |  | `[inline]`

Search for all occurrences

Reimplemented in QRubberBand.

Definition at line 997 of file qwidget.h.

    { move(QPoint(ax, ay)); }

void move | ( | const QPoint & |  | ) |

Search for all occurrences

Reimplemented in QRubberBand.

void resize | ( | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Reimplemented in QRubberBand.

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 1000 of file qwidget.h.

    { resize(QSize(w, h)); }

void resize | ( | const QSize & |  | ) |

Search for all occurrences

Reimplemented in QRubberBand.

void setGeometry | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Reimplemented in QRubberBand.

Definition at line 1003 of file qwidget.h.

    { setGeometry(QRect(ax, ay, aw, ah)); }

void setGeometry | ( | const QRect & |  | ) |

Search for all occurrences

Reimplemented in QRubberBand.

QByteArray saveGeometry | ( |  | ) | const

Search for all occurrences

bool restoreGeometry | ( | const QByteArray & | geometry | ) |

Search for all occurrences

void adjustSize | ( |  | ) |

Search for all occurrences

bool isVisible | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 991 of file qwidget.h.

    { return testAttribute(Qt::WA_WState_Visible); }

bool isVisibleTo | ( | QWidget * |  | ) | const

Search for all occurrences

bool isHidden | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 994 of file qwidget.h.

    { return testAttribute(Qt::WA_WState_Hidden); }

bool isMinimized | ( |  | ) | const

Search for all occurrences

bool isMaximized | ( |  | ) | const

Search for all occurrences

bool isFullScreen | ( |  | ) | const

Search for all occurrences

Qt::WindowStates windowState | ( |  | ) | const

Search for all occurrences

void setWindowState | ( | Qt::WindowStates | state | ) |

Search for all occurrences

void overrideWindowState | ( | Qt::WindowStates | state | ) |

Search for all occurrences

virtual QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in CPBox, CurveEditor, QAbstractScrollArea, QAbstractSpinBox, QCalendarWidget, QCheckBox, QColumnView, QComboBox, QCommandLinkButton, QDateTimeEdit, QDial, QDialog, QFontComboBox, QFrame, QGraphicsView, QHeaderView, QInputDialog, QLabel, QLCDNumber, QLineEdit, QMacNativeWidget, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QProgressBar, QProgressDialog, QPushButton, QRadioButton, QScrollArea, QScrollBar, QSizeGrip, QSlider, QSplitter, QSplitterHandle, QTabBar, QTabWidget, QToolButton, QWizard, QWorkspace, QWebInspector, and QWebView.

virtual QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QAbstractScrollArea, QAbstractSpinBox, QCalendarWidget, QComboBox, QCommandLinkButton, QDial, QDialog, QGroupBox, QInputDialog, QLabel, QLineEdit, QMdiArea, QMdiSubWindow, QMenuBar, QProgressBar, QPushButton, QSlider, QSplitter, QTabBar, QTabWidget, QToolButton, and QX11EmbedContainer.

QSizePolicy sizePolicy | ( |  | ) | const

Search for all occurrences

void setSizePolicy | ( | QSizePolicy |  | ) |

Search for all occurrences

void setSizePolicy | ( | QSizePolicy::Policy | horizontal,
|  | QSizePolicy::Policy | vertical
| ) |  | `[inline]`

Search for all occurrences

Definition at line 1024 of file qwidget.h.

    { setSizePolicy(QSizePolicy(hor, ver)); }

virtual int heightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QCommandLinkButton, QLabel, and QMenuBar.

QRegion visibleRegion | ( |  | ) | const

Search for all occurrences

void setContentsMargins | ( | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom
| ) |  |

Search for all occurrences

void setContentsMargins | ( | const QMargins & | margins | ) |

Search for all occurrences

void getContentsMargins | ( | int * | left,
|  | int * | top,
|  | int * | right,
|  | int * | bottom
| ) |  | const

Search for all occurrences

QMargins contentsMargins | ( |  | ) | const

Search for all occurrences

QRect contentsRect | ( |  | ) | const

Search for all occurrences

QLayout* layout | ( |  | ) | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

void setLayout | ( | QLayout * |  | ) |

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp, and PtexExtractor/PtexLayout.cpp.

void updateGeometry | ( |  | ) |

Search for all occurrences

void setParent | ( | QWidget * | parent | ) |

Search for all occurrences

void setParent | ( | QWidget * | parent,
|  | Qt::WindowFlags | f
| ) |  |

Search for all occurrences

void scroll | ( | int | dx,
|  | int | dy
| ) |  |

Search for all occurrences

void scroll | ( | int | dx,
|  | int | dy,
|  | const QRect & |
| ) |  |

Search for all occurrences

QWidget* focusWidget | ( |  | ) | const

Search for all occurrences

QWidget* nextInFocusChain | ( |  | ) | const

Search for all occurrences

QWidget* previousInFocusChain | ( |  | ) | const

Search for all occurrences

bool acceptDrops | ( |  | ) | const

Search for all occurrences

void setAcceptDrops | ( | bool | on | ) |

Search for all occurrences

void addAction | ( | QAction * | action | ) |

Search for all occurrences

void addActions | ( | QList< QAction * > | actions | ) |

Search for all occurrences

void insertAction | ( | QAction * | before,
|  | QAction * | action
| ) |  |

Search for all occurrences

void insertActions | ( | QAction * | before,
|  | QList< QAction * > | actions
| ) |  |

Search for all occurrences

void removeAction | ( | QAction * | action | ) |

Search for all occurrences

QList<QAction*> actions | ( |  | ) | const

Search for all occurrences

QWidget * parentWidget | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1021 of file qwidget.h.

    { return static_cast<QWidget *>(QObject::parent()); }

void setWindowFlags | ( | Qt::WindowFlags | type | ) |

Search for all occurrences

Qt::WindowFlags windowFlags | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 925 of file qwidget.h.

    { return data->window_flags; }

void overrideWindowFlags | ( | Qt::WindowFlags | type | ) |

Search for all occurrences

Qt::WindowType windowType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 923 of file qwidget.h.

    { return static_cast<Qt::WindowType>(int(data->window_flags & Qt::WindowType_Mask)); }

static QWidget* find | ( | WId |  | ) | `[static]`

Search for all occurrences

QWidget * childAt | ( | int | x,
|  | int | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 920 of file qwidget.h.

    { return childAt(QPoint(ax, ay)); }

QWidget* childAt | ( | const QPoint & | p | ) | const

Search for all occurrences

Qt::HANDLE handle | ( |  | ) | const

Search for all occurrences

void setAttribute | ( | Qt::WidgetAttribute | ,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testAttribute | ( | Qt::WidgetAttribute | attribute | ) | const `[inline]`

Search for all occurrences

Definition at line 1027 of file qwidget.h.

    {
        if (attribute < int(8*sizeof(uint)))
            return data->widget_attributes & (1<<attribute);
        return testAttribute_helper(attribute);
    }

QPaintEngine* paintEngine | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QPaintDevice.

Reimplemented in QGLWidget.

void ensurePolished | ( |  | ) | const

Search for all occurrences

QInputContext* inputContext | ( |  | ) |

Search for all occurrences

void setInputContext | ( | QInputContext * |  | ) |

Search for all occurrences

bool isAncestorOf | ( | const QWidget * | child | ) | const

Search for all occurrences

bool autoFillBackground | ( |  | ) | const

Search for all occurrences

void setAutoFillBackground | ( | bool | enabled | ) |

Search for all occurrences

void setWindowSurface | ( | QWindowSurface * | surface | ) |

Search for all occurrences

QWindowSurface* windowSurface | ( |  | ) | const

Search for all occurrences

void customContextMenuRequested | ( | const QPoint & | pos | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in VideoWidget, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSlider, QAbstractSpinBox, QCalendarWidget, QCheckBox, QComboBox, QCommandLinkButton, QDateTimeEdit, QDial, QDialogButtonBox, QDockWidget, QFocusFrame, QFontComboBox, QFrame, QGraphicsView, QGroupBox, QHeaderView, QLabel, QLCDNumber, QLineEdit, QListView, QListWidget, QMacNativeWidget, QMainWindow, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QPlainTextEdit, QProgressBar, QPushButton, QRadioButton, QRubberBand, QScrollArea, QScrollBar, QSizeGrip, QSlider, QSpinBox, QSplashScreen, QSplitter, QSplitterHandle, QStackedWidget, QStatusBar, QTabBar, QTableWidget, QTabWidget, QTextBrowser, QTextEdit, QToolBar, QToolBox, QToolButton, QTreeWidget, QWizard, QWorkspace, QX11EmbedWidget, QX11EmbedContainer, QGLWidget, QWebInspector, and QWebView.

virtual void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CPBox, CurveEditor, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSpinBox, QCalendarWidget, QComboBox, QDateTimeEdit, QDial, QGraphicsView, QGroupBox, QHeaderView, QLabel, QLineEdit, QMdiSubWindow, QMenu, QMenuBar, QPlainTextEdit, QScrollBar, QSizeGrip, QSlider, QSplashScreen, QSplitterHandle, QTabBar, QTextBrowser, QTextEdit, QToolButton, QTreeView, and QWebView.

virtual void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CurveEditor, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSpinBox, QComboBox, QDial, QGraphicsView, QGroupBox, QHeaderView, QLabel, QLineEdit, QListView, QMdiSubWindow, QMenu, QMenuBar, QPlainTextEdit, QScrollBar, QSizeGrip, QSlider, QSplitterHandle, QTabBar, QTextBrowser, QTextEdit, QToolButton, QTreeView, and QWebView.

virtual void mouseDoubleClickEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QHeaderView, QLineEdit, QMdiSubWindow, QPlainTextEdit, QTextEdit, QTreeView, and QWebView.

virtual void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CurveEditor, VideoWidget, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSpinBox, QCheckBox, QDial, QGraphicsView, QGroupBox, QHeaderView, QLabel, QLineEdit, QListView, QMdiSubWindow, QMenu, QMenuBar, QPlainTextEdit, QRadioButton, QScrollBar, QSizeGrip, QSlider, QSplitterHandle, QTabBar, QTextBrowser, QTextEdit, QTreeView, and QWebView.

virtual void wheelEvent | ( | QWheelEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractScrollArea, QAbstractSlider, QAbstractSpinBox, QComboBox, QDateTimeEdit, QGraphicsView, QMenu, QPlainTextEdit, QTabBar, QTextEdit, QWorkspace, and QWebView.

virtual void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CurveEditor, QAbstractButton, QAbstractItemView, QAbstractScrollArea, QAbstractSlider, QAbstractSpinBox, QCalendarWidget, QComboBox, QDateTimeEdit, QDialog, QGraphicsView, QLabel, QLineEdit, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QPlainTextEdit, QPushButton, QTabBar, QTabWidget, QTextBrowser, QTextEdit, QTreeView, and QWebView.

virtual void keyReleaseEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CurveEditor, QAbstractButton, QAbstractSpinBox, QComboBox, QGraphicsView, QPlainTextEdit, QTextEdit, and QWebView.

virtual void focusInEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractButton, QAbstractItemView, QAbstractSpinBox, QComboBox, QDateTimeEdit, QGraphicsView, QGroupBox, QLabel, QLineEdit, QMdiSubWindow, QMenuBar, QPlainTextEdit, QPushButton, QTextEdit, and QWebView.

virtual void focusOutEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in MirrorComboBox, QAbstractButton, QAbstractItemView, QAbstractSpinBox, QComboBox, QGraphicsView, QLabel, QLineEdit, QMdiSubWindow, QMenuBar, QPlainTextEdit, QPushButton, QTextBrowser, QTextEdit, and QWebView.

virtual void enterEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QMenu, and QToolButton.

virtual void leaveEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QMdiSubWindow, QMenu, QMenuBar, and QToolButton.

virtual void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CPBox, CurveEditor, QAbstractButton, QAbstractScrollArea, QAbstractSpinBox, QCheckBox, QComboBox, QCommandLinkButton, QDateTimeEdit, QDial, QDockWidget, QFocusFrame, QFrame, QGraphicsView, QGroupBox, QHeaderView, QLabel, QLCDNumber, QLineEdit, QListView, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QPlainTextEdit, QProgressBar, QPushButton, QRadioButton, QRubberBand, QScrollBar, QSizeGrip, QSlider, QSplitterHandle, QStatusBar, QTabBar, QTableView, QTabWidget, QTextBrowser, QTextEdit, QToolBar, QToolButton, QTreeView, QWizard, QWorkspace, QX11EmbedContainer, QGLWidget, and QWebView.

virtual void moveEvent | ( | QMoveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QMdiSubWindow, QRubberBand, QSizeGrip, and QWSEmbedWidget.

virtual void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in CurveEditor, EnlargedCurveEditor, QAbstractItemView, QAbstractScrollArea, QAbstractSpinBox, QCalendarWidget, QColumnView, QComboBox, QDesktopWidget, QDial, QDialog, QGraphicsView, QGroupBox, QListView, QMdiArea, QMdiSubWindow, QMenuBar, QMessageBox, QPlainTextEdit, QProgressDialog, QRubberBand, QScrollArea, QSplitter, QSplitterHandle, QStatusBar, QTabBar, QTabWidget, QTextEdit, QToolBar, QWizard, QWorkspace, QWSEmbedWidget, QX11EmbedWidget, QX11EmbedContainer, QGLWidget, QWebInspector, and QWebView.

virtual void closeEvent | ( | QCloseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractSpinBox, QDialog, QDockWidget, QMdiSubWindow, QMessageBox, QProgressDialog, and QWebInspector.

virtual void contextMenuEvent | ( | QContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractScrollArea, QAbstractSpinBox, QComboBox, QDialog, QGraphicsView, QLabel, QLineEdit, QMainWindow, QMdiSubWindow, QPlainTextEdit, QScrollBar, QTextEdit, and QWebView.

virtual void tabletEvent | ( | QTabletEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void actionEvent | ( | QActionEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QMenu, QMenuBar, QToolBar, and QToolButton.

virtual void dragEnterEvent | ( | QDragEnterEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QLineEdit, QPlainTextEdit, QTextEdit, and QWebView.

virtual void dragMoveEvent | ( | QDragMoveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QLineEdit, QListView, QPlainTextEdit, QTextEdit, QTreeView, and QWebView.

virtual void dragLeaveEvent | ( | QDragLeaveEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QLineEdit, QListView, QPlainTextEdit, QTextEdit, and QWebView.

virtual void dropEvent | ( | QDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QLineEdit, QListView, QListWidget, QPlainTextEdit, QTableWidget, QTextEdit, QTreeWidget, and QWebView.

virtual void showEvent | ( | QShowEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractSpinBox, QComboBox, QDialog, QGraphicsView, QMdiArea, QMdiSubWindow, QMessageBox, QPlainTextEdit, QProgressDialog, QRubberBand, QSizeGrip, QStatusBar, QTabBar, QTabWidget, QTextEdit, QToolBox, QWorkspace, QWSEmbedWidget, QX11EmbedContainer, and QWebInspector.

virtual void hideEvent | ( | QHideEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractSpinBox, QComboBox, QMdiSubWindow, QMenu, QScrollBar, QSizeGrip, QTabBar, QWorkspace, QWSEmbedWidget, QX11EmbedContainer, and QWebInspector.

virtual void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in EnlargedCurveEditor, QAbstractButton, QAbstractSlider, QAbstractSpinBox, QColorDialog, QComboBox, QDialogButtonBox, QDockWidget, QErrorMessage, QFileDialog, QFontDialog, QFrame, QGroupBox, QLabel, QLineEdit, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QPlainTextEdit, QProgressDialog, QRubberBand, QSplitter, QTabBar, QTabWidget, QTextEdit, QToolBar, QToolBox, QToolButton, QWorkspace, QWSEmbedWidget, and QWebView.

int metric | ( | PaintDeviceMetric |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

virtual void inputMethodEvent | ( | QInputMethodEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QComboBox, QGraphicsView, QLineEdit, QPlainTextEdit, QTextEdit, and QWebView.

virtual QVariant inputMethodQuery | ( | Qt::InputMethodQuery |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QAbstractSpinBox, QComboBox, QGraphicsView, QLineEdit, QPlainTextEdit, QTextEdit, and QWebView.

Qt::InputMethodHints inputMethodHints | ( |  | ) | const

Search for all occurrences

void setInputMethodHints | ( | Qt::InputMethodHints | hints | ) |

Search for all occurrences

void resetInputContext | ( |  | ) | `[protected]`

Search for all occurrences

void updateMicroFocus | ( |  | ) | `[protected, slot]`

Search for all occurrences

void create | ( | WId | = `0`,
|  | bool | initializeWindow = `true`,
|  | bool | destroyOldWindow = `true`
| ) |  | `[protected]`

Search for all occurrences

void destroy | ( | bool | destroyWindow = `true`,
|  | bool | destroySubWindows = `true`
| ) |  | `[protected]`

Search for all occurrences

virtual bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QAbstractItemView, QDateTimeEdit, QGraphicsView, QLabel, QMenu, QPlainTextEdit, QScrollArea, QTextBrowser, QTextEdit, and QWebView.

bool focusNextChild | ( |  | ) | `[inline, protected]`

Search for all occurrences

Definition at line 710 of file qwidget.h.

    { return focusNextPrevChild(true); }

bool focusPreviousChild | ( |  | ) | `[inline, protected]`

Search for all occurrences

Definition at line 711 of file qwidget.h.

    { return focusNextPrevChild(false); }

virtual void styleChange | ( | QStyle & |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void enabledChange | ( | bool |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void paletteChange | ( | const QPalette & |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void fontChange | ( | const QFont & |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void windowActivationChange | ( | bool |  | ) | `[protected, virtual]`

Search for all occurrences

virtual void languageChange | ( |  | ) | `[protected, virtual]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QBackingStoreDevice `[friend]`

Search for all occurrences

Definition at line 721 of file qwidget.h.

friend class QWidgetBackingStore `[friend]`

Search for all occurrences

Definition at line 722 of file qwidget.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QDesktopWidget.

Definition at line 723 of file qwidget.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QDesktopWidget.

Definition at line 724 of file qwidget.h.

friend class QBaseApplication `[friend]`

Search for all occurrences

Definition at line 725 of file qwidget.h.

friend class QPainter `[friend]`

Search for all occurrences

Reimplemented from QPaintDevice.

Definition at line 726 of file qwidget.h.

friend class QPainterPrivate `[friend]`

Search for all occurrences

Definition at line 727 of file qwidget.h.

friend class QPixmap `[friend]`

Search for all occurrences

Definition at line 728 of file qwidget.h.

friend class QFontMetrics `[friend]`

Search for all occurrences

Definition at line 729 of file qwidget.h.

friend class QFontInfo `[friend]`

Search for all occurrences

Definition at line 730 of file qwidget.h.

friend class QETWidget `[friend]`

Search for all occurrences

Definition at line 731 of file qwidget.h.

friend class QLayout `[friend]`

Search for all occurrences

Definition at line 732 of file qwidget.h.

friend class QWidgetItem `[friend]`

Search for all occurrences

Definition at line 733 of file qwidget.h.

friend class QWidgetItemV2 `[friend]`

Search for all occurrences

Definition at line 734 of file qwidget.h.

friend class QGLContext `[friend]`

Search for all occurrences

Reimplemented in QGLWidget.

Definition at line 735 of file qwidget.h.

friend class QGLWidget `[friend]`

Search for all occurrences

Definition at line 736 of file qwidget.h.

friend class QGLWindowSurface `[friend]`

Search for all occurrences

Definition at line 737 of file qwidget.h.

friend class QX11PaintEngine `[friend]`

Search for all occurrences

Reimplemented from QPaintDevice.

Definition at line 738 of file qwidget.h.

friend class QWin32PaintEngine `[friend]`

Search for all occurrences

Definition at line 739 of file qwidget.h.

friend class QShortcutPrivate `[friend]`

Search for all occurrences

Definition at line 740 of file qwidget.h.

friend class QShortcutMap `[friend]`

Search for all occurrences

Definition at line 741 of file qwidget.h.

friend class QWindowSurface `[friend]`

Search for all occurrences

Definition at line 742 of file qwidget.h.

friend class QGraphicsProxyWidget `[friend]`

Search for all occurrences

Definition at line 743 of file qwidget.h.

friend class QGraphicsProxyWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 744 of file qwidget.h.

friend class QStyleSheetStyle `[friend]`

Search for all occurrences

Definition at line 745 of file qwidget.h.

friend struct QWidgetExceptionCleaner `[friend]`

Search for all occurrences

Definition at line 746 of file qwidget.h.

friend class QGestureManager `[friend]`

Search for all occurrences

Definition at line 748 of file qwidget.h.

friend class QWinNativePanGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 749 of file qwidget.h.

friend class QWidgetEffectSourcePrivate `[friend]`

Search for all occurrences

Definition at line 751 of file qwidget.h.

Q_GUI_EXPORT QWidgetData* qt_qwidget_data | ( | QWidget * | widget | ) | `[friend]`

Search for all occurrences

Q_GUI_EXPORT QWidgetPrivate* qt_widget_private | ( | QWidget * | widget | ) | `[friend]`

Search for all occurrences

## Property Documentation

bool modal `[read]`

Search for all occurrences

Reimplemented in QDialog.

Definition at line 145 of file qwidget.h.

Qt::WindowModality windowModality `[read, write]`

Search for all occurrences

Definition at line 146 of file qwidget.h.

bool enabled `[read, write]`

Search for all occurrences

Definition at line 147 of file qwidget.h.

const QRect & geometry `[inline, read, write]`

Search for all occurrences

Definition at line 148 of file qwidget.h.

QRect frameGeometry `[read]`

Search for all occurrences

Definition at line 149 of file qwidget.h.

QRect normalGeometry `[read]`

Search for all occurrences

Definition at line 150 of file qwidget.h.

int x `[read]`

Search for all occurrences

Definition at line 151 of file qwidget.h.

int y `[read]`

Search for all occurrences

Definition at line 152 of file qwidget.h.

QPoint pos `[read, write]`

Search for all occurrences

Definition at line 153 of file qwidget.h.

QSize frameSize `[read]`

Search for all occurrences

Definition at line 154 of file qwidget.h.

QSize size `[inline, read, write]`

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 155 of file qwidget.h.

int width `[inline, read]`

Search for all occurrences

Definition at line 156 of file qwidget.h.

int height `[inline, read]`

Search for all occurrences

Definition at line 157 of file qwidget.h.

QRect rect `[inline, read]`

Search for all occurrences

Definition at line 158 of file qwidget.h.

QRect childrenRect `[read]`

Search for all occurrences

Definition at line 159 of file qwidget.h.

QRegion childrenRegion `[read]`

Search for all occurrences

Definition at line 160 of file qwidget.h.

QSizePolicy sizePolicy `[read, write]`

Search for all occurrences

Definition at line 161 of file qwidget.h.

QSize minimumSize `[read, write]`

Search for all occurrences

Definition at line 162 of file qwidget.h.

QSize maximumSize `[read, write]`

Search for all occurrences

Definition at line 163 of file qwidget.h.

int minimumWidth `[inline, read, write]`

Search for all occurrences

Definition at line 164 of file qwidget.h.

int minimumHeight `[inline, read, write]`

Search for all occurrences

Definition at line 165 of file qwidget.h.

int maximumWidth `[inline, read, write]`

Search for all occurrences

Definition at line 166 of file qwidget.h.

int maximumHeight `[inline, read, write]`

Search for all occurrences

Definition at line 167 of file qwidget.h.

QSize sizeIncrement `[read, write]`

Search for all occurrences

Definition at line 168 of file qwidget.h.

QSize baseSize `[read, write]`

Search for all occurrences

Definition at line 169 of file qwidget.h.

QPalette palette `[read, write]`

Search for all occurrences

Definition at line 170 of file qwidget.h.

const QFont & font `[inline, read, write]`

Search for all occurrences

Definition at line 171 of file qwidget.h.

QCursor cursor `[read, write]`

Search for all occurrences

Definition at line 173 of file qwidget.h.

bool mouseTracking `[read, write]`

Search for all occurrences

Definition at line 175 of file qwidget.h.

bool isActiveWindow `[read]`

Search for all occurrences

Definition at line 176 of file qwidget.h.

Qt::FocusPolicy focusPolicy `[read, write]`

Search for all occurrences

Definition at line 177 of file qwidget.h.

bool focus `[read]`

Search for all occurrences

Definition at line 178 of file qwidget.h.

Qt::ContextMenuPolicy contextMenuPolicy `[read, write]`

Search for all occurrences

Definition at line 179 of file qwidget.h.

bool updatesEnabled `[inline, read, write]`

Search for all occurrences

Definition at line 180 of file qwidget.h.

bool visible `[read, write]`

Search for all occurrences

Definition at line 181 of file qwidget.h.

bool minimized `[read]`

Search for all occurrences

Definition at line 182 of file qwidget.h.

bool maximized `[read]`

Search for all occurrences

Definition at line 183 of file qwidget.h.

bool fullScreen `[read]`

Search for all occurrences

Reimplemented in VideoWidget.

Definition at line 184 of file qwidget.h.

QSize sizeHint `[read]`

Search for all occurrences

Definition at line 185 of file qwidget.h.

QSize minimumSizeHint `[read]`

Search for all occurrences

Definition at line 186 of file qwidget.h.

bool acceptDrops `[read, write]`

Search for all occurrences

Definition at line 187 of file qwidget.h.

QString windowTitle `[read, write]`

Search for all occurrences

Reimplemented in QDockWidget.

Definition at line 188 of file qwidget.h.

QIcon windowIcon `[read, write]`

Search for all occurrences

Definition at line 189 of file qwidget.h.

QString windowIconText `[read, write]`

Search for all occurrences

Definition at line 190 of file qwidget.h.

double windowOpacity `[read, write]`

Search for all occurrences

Definition at line 191 of file qwidget.h.

bool windowModified `[read, write]`

Search for all occurrences

Definition at line 192 of file qwidget.h.

QString toolTip `[read, write]`

Search for all occurrences

Definition at line 194 of file qwidget.h.

QString statusTip `[read, write]`

Search for all occurrences

Definition at line 197 of file qwidget.h.

QString whatsThis `[read, write]`

Search for all occurrences

Definition at line 200 of file qwidget.h.

QString accessibleName `[read, write]`

Search for all occurrences

Definition at line 203 of file qwidget.h.

QString accessibleDescription `[read, write]`

Search for all occurrences

Definition at line 204 of file qwidget.h.

Qt::LayoutDirection layoutDirection `[read, write]`

Search for all occurrences

Definition at line 206 of file qwidget.h.

bool autoFillBackground `[read, write]`

Search for all occurrences

Definition at line 208 of file qwidget.h.

QString styleSheet `[read, write]`

Search for all occurrences

Definition at line 210 of file qwidget.h.

QLocale locale `[read, write]`

Search for all occurrences

Definition at line 212 of file qwidget.h.

QString windowFilePath `[read, write]`

Search for all occurrences

Definition at line 213 of file qwidget.h.

Qt::InputMethodHints inputMethodHints `[read, write]`

Search for all occurrences

Definition at line 214 of file qwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qwidget.h

QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget
QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget QWidget